Package org.springframework.web.method.annotation

# Class ExceptionHandlerMappingInfo

java.lang.Object
org.springframework.web.method.annotation.ExceptionHandlerMappingInfo

public class ExceptionHandlerMappingInfo extends Object
`@ExceptionHandler` mapping information. It contains:

- the supported exception types
- the producible media types, if any
- the method in charge of handling the exception

Since:
  6.2
Author:
  Brian Clozel

## Method Summary

Modifier and Type
Method
Description
`Set<Class<? extends Throwable>>`
`getExceptionTypes()`
Return the exception types supported by this handler.
`Method`
`getHandlerMethod()`
Return the method responsible for handling the exception.
`Set<MediaType>`
`getProducibleTypes()`
Return the producible media types by this handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getHandlerMethod

public Method getHandlerMethod()
Return the method responsible for handling the exception.

### getExceptionTypes

public Set<Class<? extends Throwable>> getExceptionTypes()
Return the exception types supported by this handler.

### getProducibleTypes

public Set<MediaType> getProducibleTypes()
Return the producible media types by this handler. Can be empty.